"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoggingPlugin = void 0;
exports.LoggingPlugin = {
    consumeStart: (args) => {
        console.log(`Event received: ${args.topic}`);
        return () => {
            console.log(`Event consumed: ${args.topic}`);
        };
    },
    publishStart: (args) => {
        console.log(`Event publishing: ${args.topic}`);
        return () => {
            console.log(`Event published: ${args.topic}`);
        };
    },
    consumeError: (args, err) => {
        console.log(`Consume error for ${args.topic}: ${err.message}`);
    },
    publishError: (args, err) => {
        console.log(`Publish error for ${args.topic}: ${err.message}`);
    },
};
